Skip to content

Get a booking item

GET
/api/v5/bookings/v4/{id}/items/{item_id}

Returns a single item line on the booking by its numeric ID. Requires an API key and ownership of the parent booking.

item_id
required
string
/^\d+$/
Example
123

Numeric ID of the item line within the booking.

id
required
string

The booking ID.

Booking item

object
id
required

Booking item identifier.

number
description
required

Package type or contents description.

string
weight
required

Item weight in kg.

number
length
required

Item length in cm.

number
width
required

Item width in cm.

number
height
required

Item height in cm.

number
quantity
required

Number of identical items of these dimensions.

number

Missing or invalid API key

Item not found

object
error

Single error message describing the failure.

string
errors
Any of:
string